﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace UserControls
{
	public partial class LabelTextBoxControl : UserControl
	{
		public string LabelText
		{
			get { return (string)GetValue(LabelTextProperty); }
			set { SetValue(LabelTextProperty, value); }
		}
		public static readonly DependencyProperty LabelTextProperty =
			DependencyProperty.Register("LabelText", typeof(string), typeof(LabelTextBoxControl), null);

		public string ValueText
		{
			get { return (string)GetValue(ValueTextProperty); }
			set { SetValue(ValueTextProperty, value); }
		}
		public static readonly DependencyProperty ValueTextProperty =
			DependencyProperty.Register("ValueText", typeof(string), typeof(LabelTextBoxControl), null);

		public LabelTextBoxControl()
		{
			InitializeComponent();
			LayoutRoot.DataContext = this;
		}
	}
}
